Llama 3.1 8B
Approved Data Classifications
Description
Llama-3.1-8B is Meta's compact instruction model for multilingual text tasks. It was released on April 17, 2024 and supports a 128,000-token context window.
Capabilities
| Model | Release Date | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| llama-3.1-8b-instruct | Apr 17 2024 | Text | Text | 128,000 | $0.22/1M input $0.22/1M output |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "llama-3.1-8b-instruct",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="llama-3.1-8b-instruct", # model to send to the proxy
messages = [
{ role: "system", content: "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "llama-3.1-8b-instruct",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
print(completion.choices[0].message)
References
- Meta
https://ai.meta.com/- LLM Stats
https://llm-stats.com- Artificial Analysis
https://artificialanalysis.ai